View Issue Details

IDProjectCategoryView StatusLast Update
0001427Database Comparer utility[All Projects] Generalpublic2019-04-18 19:44
ReportershirokovAssigned Tobarry 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[Database Comparer] 7.0.0.1670 
Target Version[Database Comparer] 7.0.0.1670Fixed in Version 
Summary0001427: Problems with parsing of computed fields of NUMERIC (nn, xx) type, ALTER RDB$ in scripts.
DescriptionThe problem apear when computed field are the type numeric(nn, xx).

Another problem when master database is an script, reappear erors like this:
ALTER TABLE RDB$RELATIONS ADD CONSTRAINT RDB$INDEX_0 UNIQUE (RDB$RELATION_NAME)
ALTER TABLE RDB$GENERATORS ADD CONSTRAINT RDB$INDEX_11 UNIQUE (RDB$GENERATOR_NAME)
ALTER TABLE RDB$RELATION_CONSTRAINTS ADD CONSTRAINT RDB$INDEX_12 UNIQUE (RDB$CONSTRAINT_NAME)
ALTER TABLE RDB$REF_CONSTRAINTS ADD CONSTRAINT RDB$INDEX_13 UNIQUE (RDB$CONSTRAINT_NAME)

See the attached scripts.
TagsNo tags attached.

Activities

shirokov

2018-06-04 11:29

administrator  

test.sql (4,032 bytes)
test_dbcomp.sql (6,796 bytes)

barry

2018-06-04 11:52

administrator   ~0003776

(?) System indices presents in source script: test_dbcomp.sql.

shirokov

2018-06-04 20:39

administrator   ~0003778

Database comparer version is 7.0.0.1670
For the RDB issue the steps are:
1. Use as master script the new attached file test_rdb.sql (from which I removed problem with NUMERIC and Computed BY fields)
2. target is an Firebird 3.0 (WI-V6.3.3.32900) empty databases.
3. Database comparer Switch:
DB Objects - ALL objects is checked,
FB/IB - Firebird 3.0, ALL checkbox is checked.

test_rdb.sql (4,018 bytes)

Issue History

Date Modified Username Field Change
2018-06-04 11:29 shirokov New Issue
2018-06-04 11:29 shirokov Status new => assigned
2018-06-04 11:29 shirokov Assigned To => barry
2018-06-04 11:29 shirokov File Added: test.sql
2018-06-04 11:29 shirokov File Added: test_dbcomp.sql
2018-06-04 11:52 barry Note Added: 0003776
2018-06-04 20:39 shirokov File Added: test_rdb.sql
2018-06-04 20:39 shirokov Note Added: 0003778
2019-04-11 23:52 barry Status assigned => resolved
2019-04-11 23:52 barry Resolution open => fixed
2019-04-18 19:44 barry Status resolved => closed